<template>
    <v-container fluid>

            <v-row>
            <v-col
                cols="12"
                lg="2"
                sm="12"
                md="4"
            >
                <v-avatar
                    class="ma-3"
                    size="200"
                    tile
                >
                <v-img :src="photo"></v-img>
                </v-avatar>
            </v-col>
            <v-col
                cols="12"
                lg="10"
                sm="12"
                md="8"
            >
                <v-card-title
                    class="headline"
                    v-text="fullName"
                >
                </v-card-title>
                <v-card-subtitle>
                    <span><b>Локация:</b> {{country}}</span><br>
                    <span><b>Возраст:</b> {{age}}</span><br>
                    <span><b>ВУЗ:</b> {{university}}</span><br>
                    <span><b>Интересы:</b> {{bio}}</span><br>
                    <span><b>Зарегистрирован:</b> {{regDate}}</span><br>
                    <span><b>Заработано баллов:</b> {{balance}}</span><br>
                </v-card-subtitle>
            </v-col>
            </v-row>
            <v-divider></v-divider>
            <Metrics
                v-bund:user="id"
            />
            <v-divider></v-divider>
            <Achieves
                v-bund:user="id"
            />
            <v-divider></v-divider>
            <Feedback
                v-bund:user="id"
            />
    </v-container>
</template>

<script>
    import Metrics from "./Metrics";
    import Achieves from "./Achieves";
    import Feedback from "./Feedback";

    export default {
        name: 'Profile',
        props: ['id'],
        components: {
            Metrics, 
            Achieves, 
            Feedback 
        },
        data: () => ({
            photo: 'https://sun9-3.userapi.com/c204616/v204616878/120d9/eas9FOFtN5M.jpg',
            fullName: 'Капицын Владислав',
            country: 'РФ, Москва',
            age: '23',
            university: `МГТУ'18`,
            bio: 'node.js, blockchain, AR, стартапы',
            regDate: '01.11.17',
            balance: 722
        })
    }
</script>
